kio Library: KMimeMagicResult Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMimeMagicResult Class Reference

`#include <kmimemagic.h>`

Collaboration diagram for KMimeMagicResult:

[legend]
List of all members.

## Public Member Functions
QString | mimeType () const
int | accuracy () const
bool | isValid () const
void | setMimeType (const QString &_mime)
void | setAccuracy (int _accuracy)
void | setInvalid ()
## Protected Attributes
QString | m_strMimeType
int | m_iAccuracy

## Detailed Description

Deprecated:
  Use KMimeType::findByContent() instead May be removed in KDE 4.0. Returned by KMimeMagic `find`...Type methods.

It contains the mimetype and the encoding of the file or buffer read.

Definition at line 46 of file kmimemagic.h.

## Member Function Documentation

QString KMimeMagicResult::mimeType | ( |  | ) | const`[inline]`

| Retrieve the mimetype (e.g. "text/html") of the file or buffer parsed. Definition at line 55 of file kmimemagic.h. Referenced by KMimeType::findByContent(), KMimeType::findByFileContent(), and KMimeType::findByURL().

int KMimeMagicResult::accuracy | ( |  | ) | const`[inline]`

| Retrieve the accuracy of the matching. Definition at line 59 of file kmimemagic.h. Referenced by KMimeMagic::findBufferType(), KMimeType::findByContent(), KMimeType::findByFileContent(), and KMimeMagic::findFileType().

bool KMimeMagicResult::isValid | ( |  | ) | const`[inline]`

| Returns whether the result is valid (i.e. mimetype not empty). Definition at line 63 of file kmimemagic.h. Referenced by KMimeType::findByContent(), KMimeType::findByFileContent(), and KMimeType::findByURL().

The documentation for this class was generated from the following file:

- kmimemagic.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003